BizKitHub
DocsAPI ReferenceAdmin/bff/admin/user-toggle-active
postAdminAdmin BFF

/bff/admin/user-toggle-active

Flips cas__user.active. A deactivated user cannot log in anywhere, but their data stays. Refuses to deactivate the calling admin. Requires internal admin membership.

AdminpostBffAdminUser-toggle-active

Parameters

JSON body

Request body

application/json
userIdstringRequired

16-char external id of the user.

activebooleanRequired

True to activate, false to deactivate.

Response schema

1 status code documented

200Success
successbooleanRequired
activebooleanRequired

Response example

application/json
{
  "success": false,
  "active": false
}

Request example

POST /bff/admin/user-toggle-active

post
curl -X POST "https://api.bizkithub.com/bff/admin/user-toggle-active" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "userId": "example_userId",
  "active": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key